Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.docsite.target
Class DirectoryTarget

    java.lang.Object
      local.tomas.docsite.target.DirectoryTarget

All Implemented Interfaces:
  DocsiteTarget

    public class DirectoryTarget

extends java.lang.Object
implements DocsiteTarget

Constructor Summary
`DirectoryTarget(java.io.File dir)`
`DirectoryTarget(java.lang.String targetName)`

Method Summary
`java.io.PrintWriter` | `createDocument(java.lang.String name)`
`void` | `createDocumentFromStream(java.lang.String name, java.io.InputStream stream)`
`DocsiteTarget` | `createFolder(java.lang.String name)`
`boolean` | `exists(java.lang.String fileName)`
`DocsiteTarget` | `getFolder(java.lang.String name)`
`boolean` | `hasFolder(java.lang.String folderName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectoryTarget

    public DirectoryTarget(java.lang.String targetName)

### DirectoryTarget

    public DirectoryTarget(java.io.File dir)

Method Detail

### createDocument

    public java.io.PrintWriter createDocument(java.lang.String name)
                                       throws java.lang.Exception

  Specified by:
    `createDocument` in interface `DocsiteTarget`
  Throws:
    `java.lang.Exception`

### createDocumentFromStream

    public void createDocumentFromStream(java.lang.String name,
                                         java.io.InputStream stream)
                                  throws java.lang.Exception

  Specified by:
    `createDocumentFromStream` in interface `DocsiteTarget`
  Throws:
    `java.lang.Exception`

### createFolder

    public DocsiteTarget createFolder(java.lang.String name)

  Specified by:
    `createFolder` in interface `DocsiteTarget`

### getFolder

    public DocsiteTarget getFolder(java.lang.String name)

  Specified by:
    `getFolder` in interface `DocsiteTarget`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasFolder

    public boolean hasFolder(java.lang.String folderName)

  Specified by:
    `hasFolder` in interface `DocsiteTarget`

### exists

    public boolean exists(java.lang.String fileName)

  Specified by:
    `exists` in interface `DocsiteTarget`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.